package de.devbliss.paulparser;

import java.util.ArrayList;
import java.util.List;

/**
 * This model is a Pojo container for meta information of a publication. 
 * Usually this is derived from parsing a html file using PublicationMetaTagParser.
 * 
 * Good advice from: http://scholar.google.com/intl/en/scholar/inclusion.html
 * 
 * 
 */
public class PublicationModelRaw {
	////////////////////////////////////////////////////////////////////////
	//basic html tags => can be interesting...
	////////////////////////////////////////////////////////////////////////
    public String keywords;
    public String description;   
	
    ////////////////////////////////////////////////////////////////////////
    // Highwire tags:
    ////////////////////////////////////////////////////////////////////////
    public String citation_title;
    public String citation_abstract_html_url;
    public String citation_collection_id;
    public List<String> citation_author;
    public String citation_authors;
    public String citation_date;
    public String citation_doi;
    public String citation_fulltext_html_url;
    public String citation_journal_title;
    public String citation_journal_abbrev;
    public String citation_conference_title;
    public String citation_id;
    public List<String> citation_keywords;
    //For instance Oxford Bioinformatics can have two issn for one article...
    public List<String> citation_issn;
    public String citation_isbn;
    public String citation_volume;
    public String citation_issue; 
    public String citation_firstpage; 
    public String citation_lastpage;
    public String citation_public_url;
    public String citation_publication_date;
    public String citation_publisher;
    public String citation_pdf_url;
    public String citation_pmid;
    public String citation_mjid;
    //date when publication went online:
    public String citation_online_date;    
    public String citation_dissertation_institution;
    public String citation_technical_report_institution;
    public String citation_technical_report_number;
    public String citation_section;
    public String citation_language;
    
    
	////////////////////////////////////////////////////////////////////////
	// DC tags:
    //////////////////////////////////////////////////////////////////////// 
	public String dcSubject;
	public String dcIssued;
	public String dcDescription;
	//some use dcContributor and dcCreator in a similar fashion...
	public List<String> dcContributor;
	public String dcType;
	public String dcFormat;
	public String dcCoverage;	
	public String dcPublisher;
	public String dcLanguage;
	public String dcRelation;
	public String dcRights;
	public String dcRightsAgent;
	public String dcSource;
	public String dcTitle;
	public String dcIdentifier;
	public String dcDate;
	public List<String> dcCreator;

	////////////////////////////////////////////////////////////////////////
	// Prism tags: http://www.prismstandard.org/faq/
	////////////////////////////////////////////////////////////////////////
	public String prismCopyright;
	public String prismRightsAgent;
	public String prismPublicationDate;
	public String prismVolume;
	public String prismNumber;
	public String prismIssue;
	public String prismSection;
	public String prismStartingPage;
	public String prismEndingPage;
	public String prismPublicationName;
	public String prismIssn;
	public String prismEIssn;
    


	public PublicationModelRaw() {
		// just some initial setup for the lists:
		citation_author = new ArrayList<String>();
		citation_issn = new ArrayList<String>();
		citation_keywords = new ArrayList<String>();
		dcCreator = new ArrayList<String>();
		dcContributor = new ArrayList<String>();

	}

}
